import request from '@/utils/request'

// 查询可视化菜单权限列表
export function listMenuVisu(query) {
  return request({
    url: '/system/menuVisu/list',
    method: 'get',
    params: query
  })
}

// 查询可视化菜单权限详细
export function getMenuVisu(menuId) {
  return request({
    url: '/system/menuVisu/' + menuId,
    method: 'get'
  })
}

// 新增可视化菜单权限
export function addMenuVisu(data) {
  return request({
    url: '/system/menuVisu',
    method: 'post',
    data: data
  })
}

// 修改可视化菜单权限
export function updateMenuVisu(data) {
  return request({
    url: '/system/menuVisu',
    method: 'put',
    data: data
  })
}

// 删除可视化菜单权限
export function delMenuVisu(menuId) {
  return request({
    url: '/system/menuVisu/' + menuId,
    method: 'delete'
  })
}


// 查询菜单下拉树结构
export function treeselect() {
  return request({
    url: '/system/menuVisu/treeselect',
    method: 'get'
  })
}

// 根据角色ID查询菜单下拉树结构
export function roleMenuVisuTreeselect(roleId) {
  return request({
    url: '/system/menuVisu/roleMenuTreeselect/' + roleId,
    method: 'get'
  })
}
